package com.emr.service;

import com.emr.entity.Emr_Fault_Vo;
import com.emr.entity.Emr_Log;
import com.emr.entity.Emr_Log_Vo;
import com.emr.entity.OffsetLimitPage;

import java.util.List;

public interface LogService {
    /**
     * 添加操作日志
     * @param log
     */
    int insert(Emr_Log log);

    /**
     * 添加操作日志
     *
     * @param log
     */
    int insertSelective(Emr_Log log);


    /**
     * 根据id删除日志
     * @param logId
     */
    void deleteLogById(Integer logId);

    /**
     * 根据条件查询日志分页
     * @param emr_log_vo
     * @param offset
     * @param limit
     * @return
     */
    OffsetLimitPage selectByCol(Emr_Log_Vo emr_log_vo, Integer offset, Integer limit);

    /**
     * 根据条件查询日志列表
     * @param emr_log_vo
     * @return
     */
    List<Emr_Log_Vo> selectByCol(Emr_Log_Vo emr_log_vo);

    /**
     * 根据logTitle获取最新操作记录
     * @param logTitle
     * @return
     */
    Emr_Log lastBylogTitle(String logTitle);
}
